from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XDocumentType(XNode, Protocol):
    def getEntities(self) -> XNamedNodeMap: ...
    def getInternalSubset(self) -> str: ...
    def getName(self) -> str: ...
    def getNotations(self) -> XNamedNodeMap: ...
    def getPublicId(self) -> str: ...
    def getSystemId(self) -> str: ...
